summaryrefslogtreecommitdiff
path: root/tests/cvs-single-commit.setup
diff options
context:
space:
mode:
Diffstat (limited to 'tests/cvs-single-commit.setup')
-rwxr-xr-xtests/cvs-single-commit.setup63
1 files changed, 63 insertions, 0 deletions
diff --git a/tests/cvs-single-commit.setup b/tests/cvs-single-commit.setup
new file mode 100755
index 0000000..4214406
--- /dev/null
+++ b/tests/cvs-single-commit.setup
@@ -0,0 +1,63 @@
+#!/bin/sh
+#
+# Creates a CVS repository with a single file and a single commit.
+#
+# Copyright (C) 2012 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+
+set -e
+
+# clean up the data directory
+test -d "$DATADIR" && rm -rf "$DATADIR"/*
+
+# create the repository
+repo="$DATADIR/cvs-test-repo"
+export CVSROOT="$repo"
+export CVS_RSH=
+cvs init
+
+# create a local working copy
+workingcopy="$DATADIR/cvs-test-checkout"
+mkdir "$workingcopy"
+cd "$workingcopy"
+cvs checkout CVSROOT
+cd "$workingcopy/CVSROOT"
+
+# add the test file
+echo "first line" > test.txt
+cvs -Q add test.txt
+
+# make a commit
+cvs -Q commit -m "first commit"
+
+# delete the working copy
+cd "$DATADIR"
+rm -r "$workingcopy"
+
+# create the .lorry file for the repository
+cat <<EOF > $DATADIR/cvs-test-repo.lorry
+{
+ "cvs-test-repo": {
+ "type": "cvs",
+ "url": "$repo",
+ "module": "CVSROOT"
+ }
+}
+EOF
+
+
+# create the working directory
+mkdir "$DATADIR/work-dir"